> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置 Google My Business 更新任务

> 此端点提供 Google SERP 中特定商业实体的最新动态。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/business_data/google/my_business_updates/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/business_data/google/my_business_updates/task_post:
    post:
      summary: 设置 Google My Business 更新任务
      description: >-
        此端点提供 Google SERP
        中特定企业实体的最新动态。所提供的结果特定于所选位置（参见[位置列表](https://docs.dataforseo.com/v3/business_data/google/locations.md)）和语言（参见[语言列表](https://docs.dataforseo.com/v3/business_data/google/languages.md)）设置。
      operationId: post_dataforseo_business_data_google_my_business_updates_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: >-
                    *keyword* **必填字段**，指定的关键词应表示本地商家的名称。可以在 `keyword` 字段中指定**最多
                    700 个字符**。**所有 %## 都将被解码（加号字符‘+’将被解码为空格字符）**。如果需要在 `keyword`
                    中使用“%”字符，请将其指定为“%25”；此字段还可用于传递 `cid`（由 Google 定义的商家实体唯一 ID）或
                    `place_id`（Google Maps
                    中商家实体的标识符）参数。示例：`cid:194604053573767737`
                    `place_id:GhIJQWDl0CIeQUARxks3icF8U8A`。有关 `cid` 和 `place_id`
                    标识符的更多信息，请参阅[此帮助中心文章](https://dataforseo.com/help-center/what-is-cid-place-id-feature-id)
                priority:
                  type: integer
                  description: >-
                    *任务优先级* 可选字段 可采用以下值：1 – 普通执行优先级（默认设置）2 – 高执行优先级
                    高执行优先级的任务将收取额外费用。可在
                    [定价](https://dataforseo.com/pricing/business-data/business-data-api
                    "定价") 页面计算费用。
                location_name:
                  type: string
                  description: >-
                    *搜索引擎位置的完整名称* **如果未指定** `location_code` **或**
                    `location_coordinate`，**则此字段为必填字段。如果使用此字段，则无需指定
                    `location_code` 或 `location_coordinate`**。您可以单独请求
                    `https://api.dataforseo.com/v3/business_data/google/locations`，获取包含
                    `location_name` 的可用位置列表。示例：`London,England,United Kingdom`
                location_code:
                  type: integer
                  description: >-
                    *搜索引擎位置代码* **如果未指定** `location_name` 或
                    `location_coordinate`，**则为必填字段；如果使用此字段，则无需指定 `location_name`
                    或 `location_coordinate`**。您可以通过向
                    `https://api.dataforseo.com/v3/business_data/google/locations`
                    单独发送请求，获取包含 `location_code` 的可用位置列表。示例：`2840`
                location_coordinate:
                  type: string
                  description: >-
                    *位置的 GPS 坐标* **如果未指定** `location_name` 或
                    `location_code`，**则为必填字段；如果使用此字段，则无需指定 `location_name` 或
                    `location_code`**。`location_coordinate` 参数应以
                    *“latitude,longitude,radius”* 格式指定；*“latitude”* 和
                    *“longitude”* 的最大小数位数：7；*“radius”*
                    的最小值：199.9。示例：`53.476225,-2.243572,200`
                language_name:
                  type: string
                  description: >-
                    *搜索引擎语言的完整名称* **未指定** `language_code` **时为必填字段；如果使用此字段，则无需指定
                    `language_code`**；您可以通过向
                    `https://api.dataforseo.com/v3/business_data/google/languages`
                    单独发送请求，获取包含 `language_name` 的可用语言列表；示例：`English`
                language_code:
                  type: string
                  description: >-
                    *搜索引擎语言代码* **未指定** `language_name` **时为必填字段；如果使用此字段，则无需指定
                    `language_name`**；您可以通过向
                    `https://api.dataforseo.com/v3/business_data/google/languages`
                    单独发送请求，获取包含 `language_code` 的可用语言列表；示例：`en`
                depth:
                  type: integer
                  description: >-
                    *解析深度*。可选字段，SERP
                    中的更新数量。强烈建议将解析深度设置为十的倍数，因为我们的系统每次连续处理十次更新。**请注意，Google 最多返回
                    4490 次更新**。默认值：`10`
                tag:
                  type: string
                  description: >-
                    *用户定义的任务标识符*，可选字段，*字符数上限为 255*。你可以使用此参数标识任务并将其与结果匹配；你可以在响应的
                    `data` 对象中找到指定的 `tag` 值
                postback_url:
                  type: string
                  description: >-
                    *用于发送任务结果的返回 URL*，可选字段。任务完成后，我们会向您指定的 `postback_url` 发送 POST
                    请求，结果将以 `gzip` 格式压缩。您可以将字符串 ‘$id’ 用作 `$id` 变量，并将 ‘$tag’ 用作经过
                    URL 编码的 `$tag`
                    变量。我们将在发送请求前设置必要的值。示例：`http://your-server.com/postbackscript?id=$id`
                    `http://your-server.com/postbackscript?id=$id&tag=$tag`
                    **注意：**`postback_url` 中的特殊字符将经过 URL 编码；例如，`#` 字符将编码为
                    `%23`。有关更多信息，请参阅我们的[帮助中心](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api)
                pingback_url:
                  type: string
                  description: >-
                    *任务完成通知 URL*，可选字段。任务完成后，我们将向你指定的 URL 发送 GET 请求以通知你。你可以使用字符串
                    ‘$id’ 作为 `$id` 变量，并使用 ‘$tag’ 作为经过 URL 编码的 `$tag`
                    变量。我们会在发送请求前设置必要的值。示例：`http://your-server.com/pingscript?id=$id`
                    `http://your-server.com/pingscript?id=$id&tag=$tag`
                    **注意：**`pingback_url` 中的特殊字符将进行 URL 编码；例如，`#` 字符将被编码为
                    `%23`。请访问我们的[帮助中心](https://dataforseo.com/help-center/pingbacks-postbacks-with-dataforseo-api)了解更多信息。
              required:
                - keyword
                - location_name
                - location_code
                - location_coordinate
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: '*API 的当前版本*'
                  version.status_code:
                    type: integer
                    description: >-
                      *常规状态代码*
                      您可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看完整的响应代码列表。**注意：**我们强烈建议设计必要的系统来处理相关异常或错误情况
                  version.status_message:
                    type: string
                    description: >-
                      *一般信息消息*
                      你可以在[此处](https://docs.dataforseo.com/v3/appendix/errors.md)查看一般信息消息的完整列表
                  version.time:
                    type: string
                    description: '*执行时间（秒）*'
                  version.cost:
                    type: number
                    description: '*任务总成本（美元）*'
                  version.tasks_count:
                    type: integer
                    description: '***`tasks`**数组中的任务数量*'
                  version.tasks_error:
                    type: integer
                    description: '*返回的 **`tasks`** 数组中发生错误的任务数量*'
                  tasks:
                    type: array
                    items:
                      type: string
                    description: '*任务数组*'
                  tasks.id:
                    type: string
                    description: >-
                      我们系统中的*唯一任务标识符*，采用[通用唯一标识符
                      (UUID)](https://en.wikipedia.org/wiki/Universally_unique_identifier)
                      格式
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的*任务状态码*；取值范围为：10000-60000
                  tasks.status_message:
                    type: string
                    description: '*任务信息消息*'
                  tasks.time:
                    type: string
                    description: '*执行时间（秒）*'
                  tasks.cost:
                    type: number
                    description: '*任务成本（美元）*'
                  tasks.result_count:
                    type: integer
                    description: '*`result` 数组中的元素数量*'
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: '*URL 路径*'
                  tasks.data:
                    type: object
                    description: '*包含与您在 POST 请求中指定的参数相同的参数*'
                  result:
                    type: array
                    items:
                      type: string
                    description: '*结果数组*；在这种情况下，该值将为 `null`'
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````